Name:           perl-BerkeleyDB
Version:        0.38
Release:        6%{?dist}
Summary:        BerkeleyDB Perl module

Group:          Development/Libraries
License:        (GPL+ or Artistic) and (GPLv2+ or Artistic)
URL:            http://search.cpan.org/dist/BerkeleyDB/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/BerkeleyDB-0.38.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  db4-devel
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This Perl module provides an interface to most of the functionality available in 
Berkeley DB versions 2, 3 and 4. In general it is safe to assume that the interface 
provided here to be identical to the Berkeley DB interface. The main changes have 
been to make the Berkeley DB API work in a Perl way. Note that if you are using 
Berkeley DB 2.x, the new features available in Berkeley DB 3.x or DB 4.x are not 
available via this module.

%prep
%setup -q -n BerkeleyDB-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README Todo
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*


%changelog
* Sat Feb 28 2009 Dennis Gilmore 0.38-6
- re-write spec
